Open CASCADE Technology: TopTools_HSequenceOfShape Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
TopTools_HSequenceOfShape Class Reference

`#include <TopTools_HSequenceOfShape.hxx>`

Inheritance diagram for TopTools_HSequenceOfShape:
[legend]

## Public Member Functions
| TopTools_HSequenceOfShape ()
Standard_Boolean | IsEmpty () const
Standard_Integer | Length () const
void | Clear ()
void | Append (const TopoDS_Shape &anItem)
void | Append (const Handle< TopTools_HSequenceOfShape > &aSequence)
void | Prepend (const TopoDS_Shape &anItem)
void | Prepend (const Handle< TopTools_HSequenceOfShape > &aSequence)
void | Reverse ()
void | InsertBefore (const Standard_Integer anIndex, const TopoDS_Shape &anItem)
void | InsertBefore (const Standard_Integer anIndex, const Handle< TopTools_HSequenceOfShape > &aSequence)
void | InsertAfter (const Standard_Integer anIndex, const TopoDS_Shape &anItem)
void | InsertAfter (const Standard_Integer anIndex, const Handle< TopTools_HSequenceOfShape > &aSequence)
void | Exchange (const Standard_Integer anIndex, const Standard_Integer anOtherIndex)
Handle< TopTools_HSequenceOfShape > | Split (const Standard_Integer anIndex)
void | SetValue (const Standard_Integer anIndex, const TopoDS_Shape &anItem)
const TopoDS_Shape & | Value (const Standard_Integer anIndex) const
TopoDS_Shape & | ChangeValue (const Standard_Integer anIndex)
void | Remove (const Standard_Integer anIndex)
void | Remove (const Standard_Integer fromIndex, const Standard_Integer toIndex)
const TopTools_SequenceOfShape & | Sequence () const
TopTools_SequenceOfShape & | ChangeSequence ()
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Constructor & Destructor Documentation

TopTools_HSequenceOfShape::TopTools_HSequenceOfShape | ( |  | ) |

## Member Function Documentation

void TopTools_HSequenceOfShape::Append | ( | const TopoDS_Shape & | anItem | ) |

void TopTools_HSequenceOfShape::Append | ( | const Handle< TopTools_HSequenceOfShape > & | aSequence | ) |

TopTools_SequenceOfShape& TopTools_HSequenceOfShape::ChangeSequence | ( |  | ) |

TopoDS_Shape& TopTools_HSequenceOfShape::ChangeValue | ( | const Standard_Integer | anIndex | ) |

void TopTools_HSequenceOfShape::Clear | ( |  | ) |

void TopTools_HSequenceOfShape::Exchange | ( | const Standard_Integer | anIndex,
|  | const Standard_Integer | anOtherIndex
| ) |  |

void TopTools_HSequenceOfShape::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const TopoDS_Shape & | anItem
| ) |  |

void TopTools_HSequenceOfShape::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle< TopTools_HSequenceOfShape > & | aSequence
| ) |  |

void TopTools_HSequenceOfShape::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const TopoDS_Shape & | anItem
| ) |  |

void TopTools_HSequenceOfShape::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle< TopTools_HSequenceOfShape > & | aSequence
| ) |  |

Standard_Boolean TopTools_HSequenceOfShape::IsEmpty | ( |  | ) | const

Standard_Integer TopTools_HSequenceOfShape::Length | ( |  | ) | const

void TopTools_HSequenceOfShape::Prepend | ( | const TopoDS_Shape & | anItem | ) |

void TopTools_HSequenceOfShape::Prepend | ( | const Handle< TopTools_HSequenceOfShape > & | aSequence | ) |

void TopTools_HSequenceOfShape::Remove | ( | const Standard_Integer | anIndex | ) |

void TopTools_HSequenceOfShape::Remove | ( | const Standard_Integer | fromIndex,
|  | const Standard_Integer | toIndex
| ) |  |

void TopTools_HSequenceOfShape::Reverse | ( |  | ) |

const TopTools_SequenceOfShape& TopTools_HSequenceOfShape::Sequence | ( |  | ) | const

void TopTools_HSequenceOfShape::SetValue | ( | const Standard_Integer | anIndex,
|  | const TopoDS_Shape & | anItem
| ) |  |

Handle< TopTools_HSequenceOfShape > TopTools_HSequenceOfShape::Split | ( | const Standard_Integer | anIndex | ) |

const TopoDS_Shape& TopTools_HSequenceOfShape::Value | ( | const Standard_Integer | anIndex | ) | const

The documentation for this class was generated from the following file:

- TopTools_HSequenceOfShape.hxx